// @ts-ignore
/* eslint-disable */
import request from '@/request/http'

/** 修改 修改UpdateVO中不为空的字段 PUT /fCategory */
export async function update11(body: API.FCategoryUpdateVO, options?: { [key: string]: any }) {
  return request<API.RFCategory>(`/finyx/fCategory`, {
    method: 'PUT',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 新增 POST /fCategory */
export async function save11(body: API.FCategorySaveVO, options?: { [key: string]: any }) {
  return request<API.RFCategory>(`/finyx/fCategory`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 删除 DELETE /fCategory */
export async function delete11(body: number[], options?: { [key: string]: any }) {
  return request<API.RBoolean>(`/finyx/fCategory`, {
    method: 'DELETE',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 单体查询 单体查询 GET /fCategory/${param0} */
export async function get11(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.get11Params,
  options?: { [key: string]: any }
) {
  const { id: param0, ...queryParams } = params
  return request<API.RFCategoryResultVO>(`/finyx/fCategory/${param0}`, {
    method: 'GET',
    params: { ...queryParams },
    ...(options || {})
  })
}

/** 复制 POST /fCategory/copy */
export async function copy11(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.copy11Params,
  options?: { [key: string]: any }
) {
  return request<API.RFCategory>(`/finyx/fCategory/copy`, {
    method: 'POST',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 查询单体详情 GET /fCategory/detail */
export async function getDetail11(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.getDetail11Params,
  options?: { [key: string]: any }
) {
  return request<API.RFCategoryResultVO>(`/finyx/fCategory/detail`, {
    method: 'GET',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 根据Id批量查询 根据Id批量查询 POST /fCategory/findByIds */
export async function findByIds11(body: number[], options?: { [key: string]: any }) {
  return request<API.RListFCategoryResultVO>(`/finyx/fCategory/findByIds`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 列表查询 POST /fCategory/list */
export async function list(body: API.FCategoryPageQuery, options?: { [key: string]: any }) {
  return request<API.RListFCategoryResultVO>(`/finyx/fCategory/list`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 分页列表查询 POST /fCategory/page */
export async function page11(
  body: API.PageParamsFCategoryPageQuery,
  options?: { [key: string]: any }
) {
  return request<API.RIPageFCategoryResultVO>(`/finyx/fCategory/page`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 批量查询 批量查询 POST /fCategory/query */
export async function query11(body: API.FCategoryPageQuery, options?: { [key: string]: any }) {
  return request<API.RListFCategoryResultVO>(`/finyx/fCategory/query`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}
